<?php
namespace Entity;

class CommentaryEntity {

    private int $id_comment;
    private string $comment;
    private string $date;
    private string $user;
    private string $img;

    /**
     * @param int $id_comment
     * @param string $comment
     * @param string $date
     */
    public function __construct(int $id_comment, string $comment, string $date, string $user, string $img)
    {
        $this->id_comment = $id_comment;
        $this->comment = $comment;
        $this->date = $date;
        $this->user = $user;
        $this->img = $img;
    }

    /**
     * @return int
     */
    public function getIdComment(): int
    {
        return $this->id_comment;
    }

    /**
     * @param int $id_comment
     */
    public function setIdComment(int $id_comment): void
    {
        $this->id_comment = $id_comment;
    }

    /**
     * @return string
     */
    public function getComment(): string
    {
        return $this->comment;
    }

    /**
     * @param string $comment
     */
    public function setComment(string $comment): void
    {
        $this->comment = $comment;
    }

    /**
     * @return string
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * @param string $date
     */
    public function setDate(string $date): void
    {
        $this->date = $date;
    }

    /**
     * @return string $user
     */
    public function getUser(): string
    {
        return $this->user;
    }

    /**
     * @param string $user
     */
    public function setUser(int $user): void
    {
        $this->user = $user;
    }

    /**
     * @return string $img
     */
    public function getImg(): string
    {
        return $this->img;
    }

    /**
     * @param string $img
     */
    public function setImg(int $img): void
    {
        $this->img = $img;
    }
    
}
?>